Debian Bug report logs - #430140
ITP: hoard -- Fast, scalable, and efficient replacement memory allocator

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Russ Allbery <rra@debian.org>

Date: Fri, 22 Jun 2007 16:57:01 UTC

Owned by: Vincent Bernat <bernat@debian.org>

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>, russ allbery <rra@debian.org>:
Bug#430140; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>, russ allbery <rra@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: hoard -- Fast, scalable, and efficient replacement memory allocator
Date: Fri, 22 Jun 2007 09:27:49 -0700
Package: wnpp
Severity: wishlist
Owner: Russ Allbery <rra@debian.org>

* Package name    : hoard
  Version         : 3.6.2
  Upstream Author : Emery Berger <emery@cs.umass.edu>
* URL             : http://www.hoard.org/
* License         : GPL (with some docs under Apache 2.0)
  Programming Lang: C++
  Description     : Fast, scalable, and efficient replacement memory allocator

Hoard is a replacement memory allocator that can be used instead of glibc
malloc without recompiling binaries.  It is faster and more efficient
under many load patterns than the default glibc malloc, and is particularly
good for multithreaded programs running on multiple processors.

I'm primarily packaging Hoard for use with OpenLDAP, where it increases
performance significantly over the default glibc allocator.

There are some papers included in the upstream source package under
non-free licenses which will be removed in the Debian package.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.18-4-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash



Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Russ Allbery <rra@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 430140-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 430140-done@bugs.debian.org
Subject: WNPP bug closing
Date: Tue, 24 Jun 2008 11:59:37 -0600
Hello,

This is an automatic mail sent to close the ITP you have reported or 
are involved with.

Your ITP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the ITP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

 reopen 430140
 stop

Further comments on the work done in the bug sent to
430140@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 23 Jul 2008 07:31:28 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Vincent Bernat <bernat@debian.org> to control@bugs.debian.org. (Fri, 22 Feb 2013 20:42:08 GMT) Full text and rfc822 format available.

Bug reopened Request was from Vincent Bernat <bernat@debian.org> to control@bugs.debian.org. (Fri, 22 Feb 2013 20:42:08 GMT) Full text and rfc822 format available.

Owner changed from russ allbery <rra@debian.org> to Vincent Bernat <bernat@debian.org>. Request was from Vincent Bernat <bernat@debian.org> to control@bugs.debian.org. (Fri, 22 Feb 2013 20:42:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:38:21 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.